DeferredConduitSelector (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.endpoint

## Class DeferredConduitSelector

- java.lang.Object
- - org.apache.cxf.endpoint.AbstractConduitSelector
  - - org.apache.cxf.endpoint.DeferredConduitSelector

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `ConduitSelector`

      public class DeferredConduitSelector
      extends AbstractConduitSelector

  Strategy for lazy deferred retreival of a Conduit to mediate an outbound message.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.endpoint.AbstractConduitSelector

      `CONDUIT_COMPARE_FULL_URL, conduits, endpoint, KEEP_CONDUIT_ALIVE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeferredConduitSelector()` | Normal constructor.
    `DeferredConduitSelector​(Conduit c)` | Constructor, allowing a specific conduit to override normal selection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Logger` | `getLogger()` |
    `void` | `prepare​(Message message)` | Called prior to the interceptor chain being traversed.
    `Conduit` | `selectConduit​(Message message)` | Called when a Conduit is actually required.

    - ### Methods inherited from class org.apache.cxf.endpoint.AbstractConduitSelector

      `close, complete, createConduit, findCompatibleConduit, getEndpoint, getSelectedConduit, removeConduit, replaceEndpointAddressPropertyIfNeeded, setEndpoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeferredConduitSelector

          public DeferredConduitSelector()

      Normal constructor.

    - #### DeferredConduitSelector

          public DeferredConduitSelector​(Conduit c)

      Constructor, allowing a specific conduit to override normal selection.
      Parameters:
        `c` - specific conduit

  - ### Method Detail

    - #### prepare

          public void prepare​(Message message)

      Called prior to the interceptor chain being traversed.
      Parameters:
        `message` - the current Message

    - #### selectConduit

          public Conduit selectConduit​(Message message)

      Called when a Conduit is actually required.
      Parameters:
        `message` -
      Returns:
        the Conduit to use for mediation of the message

    - #### getLogger

          protected Logger getLogger()

      Specified by:
        `getLogger` in class `AbstractConduitSelector`
      Returns:
        the logger to use